Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1365761

Summary: [Doc RFE] Document gdeploy enhancements
Product: Red Hat Gluster Storage Reporter: Anjana Suparna Sriram <asriram>
Component: doc-Administration_GuideAssignee: Bhavana <bmohanra>
doc-Administration_Guide sub component: Default QA Contact: Manisha Saini <msaini>
Status: CLOSED CURRENTRELEASE Docs Contact:
Severity: unspecified    
Priority: unspecified CC: asriram, asrivast, bmohanra, lbailey, mhideo, mzywusko, nlevinki, rhinduja, rhs-bugs, rwheeler, storage-doc, surs, vdas
Version: unspecifiedKeywords: FutureFeature
Target Milestone: ---   
Target Release: RHGS 3.2.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-24 10:20:02 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1374605    
Bug Blocks: 1351549    

Comment 3 Bhavana 2016-09-28 06:19:20 UTC
Following are the highlights of my meeting with Sachi:

Major documentation effort:

* Deploying NFS-Ganesha using gdeploy
* Deploying Samba / CTDB using gdeploy
* SSL configuration using gdeploy
* In Install Guide -- For RHEL 6 -- Install Ansible separately (Contact the sys admin to install the supportable version of Ansible)

Apart from the above mentioned tasks, some of the bugs from the following list might have a doc impact:

https://goo.gl/s3Zm58

Some of them being: 1341484, 1348090, 1348809, 1360980, 1362574, 1366207, 1364998

Sachi,

Please let me know if I have missed anything.

Comment 4 Sachidananda Urs 2016-10-18 07:13:16 UTC
(In reply to Bhavana from comment #3)
> Following are the highlights of my meeting with Sachi:
> 
> Major documentation effort:
> 
> * Deploying NFS-Ganesha using gdeploy
> * Deploying Samba / CTDB using gdeploy
> * SSL configuration using gdeploy
> * In Install Guide -- For RHEL 6 -- Install Ansible separately (Contact the
> sys admin to install the supportable version of Ansible)
> 
> Apart from the above mentioned tasks, some of the bugs from the following
> list might have a doc impact:
> 
> https://goo.gl/s3Zm58
> 
> Some of them being: 1341484, 1348090, 1348809, 1360980, 1362574, 1366207,
> 1364998
> 
> Sachi,
> 
> Please let me know if I have missed anything.

Bhavana, this looks good. You have covered the details that are needed for this
release. One more bug that will have doc impact is: 1360461

Comment 8 Bhavana 2016-12-05 05:29:49 UTC
Hi Sachi,

Here are the links to the respective chapters:

Deploying NFS Ganesha using gdeploy:   http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-bz-1365761-gdeploy-enhancements/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#idm140250427229776


Enabling SSL on a Volume: http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-bz-1365761-gdeploy-enhancements/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#idm140250415361344

I shall provide the link to "Deploying Samba / CTDB using gdeploy" in a while.

You could review the other 2 sections till then and let me know if they look ok.

Comment 9 Sachidananda Urs 2016-12-05 06:39:54 UTC
In NFS Ganesha after [RH-subscription1] the next section is [RH-subscription3]
This could be [RH-subscription2]

In section Creating a Cluster there is a typo: "which is xused to form the cluster."

Changed xused to used.

Under section Destroying a Cluster "It allows one variable,x ‘cluster-nodes’."
Remove the x.

Comment 10 Bhavana 2016-12-06 07:29:27 UTC
Thanks Sachi,

I have further updated the section based on comment 9:

http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-bz-1365761-gdeploy-enhancements/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#idm140271838301648

Also, here is the link to the Deploying Samba / CTDB using gdeploy section:

http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-bz-1365761-gdeploy-enhancements/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#idm140271840420496

Please review the same and share your comments / suggestions. Post the incorporation of your review comments (if any) I shall move this bug on qa.

Comment 11 Sachidananda Urs 2016-12-06 08:09:00 UTC
Bhavana looks good to me.

Comment 12 Sachidananda Urs 2016-12-06 08:09:11 UTC
Bhavana, looks good to me.

Comment 18 Vivek Das 2017-02-06 09:56:00 UTC
Have checked 6.1.9 Deploying Samba / CTDB using gdeploy looks good to me.

Comment 19 Manisha Saini 2017-02-06 12:20:31 UTC
Verified this doc as per comment 17.

Comment 20 Rejy M Cyriac 2017-03-24 10:20:02 UTC
RHGS 3.2.0 GA completed on 23 March 2017